List AssignmentTable
List assignment tables. The assignment tables are returned in no particular order.
curl --request GET \
--url https://metrics.eu.confidence.dev/v1/assignmentTables \
--header 'Authorization: Bearer <token>'import requests
url = "https://metrics.eu.confidence.dev/v1/assignmentTables"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://metrics.eu.confidence.dev/v1/assignmentTables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assignmentTables": [
{
"sql": "<string>",
"displayName": "<string>",
"entityColumn": {
"name": "<string>",
"repeated": true
},
"timestampColumn": {
"name": "<string>",
"repeated": true
},
"exposureKeyColumn": {
"name": "<string>",
"repeated": true
},
"variantKeyColumn": {
"name": "<string>",
"repeated": true
},
"schemaValidationJob": "<string>",
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"description": "<string>",
"timestampTruncation": {},
"dimensions": [
{
"name": "<string>",
"repeated": true
}
],
"assignmentDataDeliveredUntilTime": {},
"partitionedUpdateStrategyState": {
"currentPartitionLastCheckTime": {},
"existsCheckDuration": {},
"usualLateness": {},
"count": 123
},
"error": {
"message": "<string>",
"details": [
"<string>"
]
},
"dataDeliveredUntilUpdateStrategyConfig": {
"disableEmptyPartitions": true,
"automaticUpdateConfig": {
"commitDelay": {},
"incrementDuration": {},
"changeThreshold": {
"value": "<string>"
}
},
"dailyUpdateConfig": {
"maxZeroDuration": {}
},
"hourlyUpdateConfig": {
"maxZeroDuration": {}
}
},
"deleteTime": {},
"labels": [
{}
],
"owner": "<string>",
"systemCreated": true
}
],
"nextPageToken": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The maximum number of assignment tables to fetch.
Token used for pagination.
Filtering for assignment tables, follows the lucene query string format for example 'name: "assignmentTables/abc"', see AssignmentTable type for available fields.
If deleted assignment tables should be included.
Provide fields and direction to sort by. Will always tiebreak on name. Format: {"<"}field_0{">"}:{"<"}direction{">"}, {"<"}field_1{">"}:{"<"}direction{">"} Example: displayName:desc,createTime:asc
Response
OK
AssignmentTable: List of matching assignment tables.
Show child attributes
Show child attributes
Token to fetch the next page, empty if no more pages.
Was this page helpful?

